const deinja = require("../src/deinja");

test("adjectiveTwoChar", () => {
  testDeinflections(
    "美しい",
    "美しく",
    "美しさ",
    "美しかった",
    "美しくありませんでした",
    "美しくありません",
    "美しかったら",
    "美しかったり",
    "美しかった",
    "美しくない",
    "美しすぎる",
    "美しければ",
    "美しくて",
    "美しそう"
  );
});

test("adjectiveOneChar", () => {
  testDeinflections(
    "軽い",
    "軽く",
    "軽さ",
    "軽かった",
    "軽くありませんでした",
    "軽くありません",
    "軽かったら",
    "軽かったり",
    "軽かった",
    "軽くない",
    "軽すぎる",
    "軽ければ",
    "軽くて",
    "軽そう"
  );
});

test("suru", () => {
  testDeinflections(
    "する",
    "しませんでした",
    "しません",
    "しましょう",
    "しました",
    "します",
    "しちゃう",
    "しちゃいます",
    "しちゃった",
    "しちゃえ",
    "しちゃおう",
    "しすぎる",
    "しなさい",
    "したら",
    "したり",
    "させる",
    "される",
    "しそう",
    "したい",
    "しない",
    "すれば",
    "しよう",
    "せず",
    "して",
    "した",
    "しなかった",
    "しなければ",
    "させられる",
    "させられた",
    "したければ",
    "したくなかった",
    "したい",
    "したかった"
  );
});

test("kuruHiragana", () => {
  testDeinflections(
    "くる",
    "きませんでした",
    "きません",
    "きましょう",
    "きました",
    "きます",
    "きちゃう",
    "きちゃいます",
    "きちゃった",
    "きちゃえ",
    "きちゃおう",
    "きすぎる",
    "きなさい",
    "きたら",
    "きたり",
    "こさせる",
    "こられる",
    "きそう",
    "きたい",
    "こない",
    "くれば",
    "こよう",
    "こず",
    "きて",
    "きた",
    "こなかった",
    "こなければ",
    "こさせられる",
    "こさせられた",
    "きたければ",
    "きたくなかった",
    "きたい",
    "きたかった"
  );
});

test("kuruKanji", () => {
  testDeinflections(
    "来る",
    "来ませんでした",
    "来ません",
    "来ましょう",
    "来ました",
    "来ます",
    "来ちゃう",
    "来ちゃいます",
    "来ちゃった",
    "来ちゃえ",
    "来ちゃおう",
    "来すぎる",
    "来なさい",
    "来たら",
    "来たり",
    "来させる",
    "来られる",
    "来そう",
    "来たい",
    "来ない",
    "来れば",
    "来よう",
    "来ず",
    "来て",
    "来た",
    "来なかった",
    "来なければ",
    "来させられる",
    "来させられた",
    "来たければ",
    "来たくなかった",
    "来たい",
    "来たかった"
  );
});

test("iku", () => {
  testDeinflections(
    "いく",
    "いっちゃう",
    "いっちゃいます",
    "いっちゃった",
    "いっちゃえ",
    "いっちゃおう",
    "いったら",
    "いったり",
    "いって",
    "いった"
  );
});

test("tou", () => {
  testDeinflections(
    "とう",
    "とうて",
    "とうた" //TODO: とうたり, etc.?
  );
});

test("kou", () => {
  testDeinflections(
    "こう",
    "こうて",
    "こうた" //TODO: こうたり, etc.?
  );
});

test("aisuru", () => {
  testDeinflections(
    "愛する",
    "愛させる",
    "愛さない",
    "愛される",
    "愛しそう",
    "愛したい",
    "愛したら",
    "愛したり",
    "愛します",
    "愛しちゃいます",
    "愛しちゃった",
    "愛しちゃえ",
    "愛しちゃおう"
  );
});

const testDeinflections = (base, ...args) => {
  for (let i = 0; i < args.length; i++) {
    const words = deinja.convert(args[i]);
    const found = words.find(w => w === base);
    expect(found).toBeTruthy();
  }
};
