const map0 = {};

const map1 = {
  い: ["いる", "う"],
  え: ["う", "える"],
  き: ["きる", "く"],
  ぎ: ["ぎる", "ぐ"],
  く: ["い"],
  け: ["く", "ける"],
  げ: ["ぐ", "げる"],
  さ: ["い"],
  し: ["す"],
  じ: ["じる"],
  ず: ["る"],
  せ: ["す", "せる"],
  ぜ: ["ぜる"],
  た: ["る"],
  ち: ["ちる", "つ"],
  て: ["る", "つ", "てる"],
  で: ["でる"],
  に: ["にる", "ぬ"],
  ね: ["ぬ", "ねる"],
  ひ: ["ひる"],
  び: ["びる", "ぶ"],
  へ: ["へる"],
  べ: ["ぶ", "べる"],
  み: ["みる", "む"],
  め: ["む", "める"],
  り: ["りる", "る"],
  れ: ["る", "れる", "れる"],
  ろ: ["る"]
};

const map2 = {
  いけ: ["く"],
  いた: ["く"],
  いだ: ["ぐ"],
  いて: ["く"],
  いで: ["ぐ"],
  えば: ["う"],
  える: ["う"],
  おう: ["う"],
  かず: ["く"],
  がず: ["ぐ"],
  きた: ["くる"],
  きて: ["くる"],
  くて: ["い"],
  けば: ["く"],
  ける: ["く"],
  げば: ["ぐ"],
  げる: ["ぐ"],
  こい: ["くる"],
  こう: ["く"],
  こず: ["くる"],
  ごう: ["ぐ"],
  さず: ["す"],
  した: ["する", "す"],
  して: ["する", "す"],
  しろ: ["する"],
  せず: ["する"],
  せば: ["す"],
  せよ: ["する"],
  せる: ["す"],
  そう: ["る", "い", "す"],
  たい: ["る"],
  たず: ["つ"],
  たら: ["る"],
  たり: ["る"],
  った: ["う", "つ", "る"],
  って: ["う", "つ", "る"],
  てば: ["つ"],
  てる: ["つ"],
  とう: ["つ"],
  ない: ["る"],
  なず: ["ぬ"],
  ねば: ["ぬ"],
  ねる: ["ぬ"],
  のう: ["ぬ"],
  ばず: ["ぶ"],
  べば: ["ぶ"],
  べる: ["ぶ"],
  ぼう: ["ぶ"],
  ます: ["る"],
  まず: ["む"],
  めば: ["む"],
  める: ["む"],
  もう: ["む"],
  ゆけ: ["く"],
  よう: ["る"],
  らず: ["る"],
  られ: ["る", "る"],
  れば: ["る", "る", "る"],
  れる: ["る"],
  ろう: ["る"],
  わず: ["う"],
  んだ: ["ぬ", "ぶ", "む"],
  んで: ["ぬ", "ぶ", "む"],
  往け: ["く"],
  征け: ["く"],
  来い: ["来る"],
  来ず: ["来る"],
  来た: ["来る"],
  来て: ["来る"],
  行け: ["く"],
  逝け: ["く"]
};

const map3 = {
  いかず: ["く"],
  いこう: ["く"],
  いそう: ["う"],
  いたい: ["う"],
  いたら: ["く"],
  いたり: ["く"],
  いだら: ["ぐ"],
  いだり: ["ぐ"],
  いった: ["く"],
  いって: ["く"],
  います: ["う"],
  かせる: ["く"],
  かった: ["い"],
  かない: ["く"],
  かれる: ["く"],
  がせる: ["ぐ"],
  がない: ["ぐ"],
  がれる: ["ぐ"],
  きそう: ["くる", "く"],
  きたい: ["くる", "く"],
  きたら: ["くる"],
  きたり: ["くる"],
  きます: ["くる", "く"],
  ぎそう: ["ぐ"],
  ぎたい: ["ぐ"],
  ぎます: ["ぐ"],
  くない: ["い"],
  ければ: ["い"],
  こうた: ["う"],
  こうて: ["う"],
  こない: ["くる"],
  こよう: ["くる"],
  これる: ["くる"],
  させる: ["する", "る", "す"],
  さない: ["す"],
  される: ["する", "す"],
  しそう: ["する", "す"],
  したい: ["する", "す"],
  したら: ["する", "す"],
  したり: ["する", "す"],
  しない: ["する"],
  します: ["する", "す"],
  しよう: ["する"],
  すぎる: ["る", "い"],
  たせる: ["つ"],
  たない: ["つ"],
  たれる: ["つ"],
  ちそう: ["つ"],
  ちたい: ["つ"],
  ちます: ["つ"],
  ちゃう: ["る"],
  ったら: ["う", "つ", "る"],
  ったり: ["う", "つ", "る"],
  とうた: ["う"],
  とうて: ["う"],
  なさい: ["る"],
  なせる: ["ぬ"],
  なない: ["ぬ"],
  なれる: ["ぬ"],
  にそう: ["ぬ"],
  にたい: ["ぬ"],
  にます: ["ぬ"],
  ばせる: ["ぶ"],
  ばない: ["ぶ"],
  ばれる: ["ぶ"],
  びそう: ["ぶ"],
  びたい: ["ぶ"],
  びます: ["ぶ"],
  ました: ["る"],
  ませる: ["む"],
  ません: ["る"],
  まない: ["む"],
  まれる: ["む"],
  みそう: ["む"],
  みたい: ["む"],
  みます: ["む"],
  ゆかず: ["く"],
  ゆこう: ["く"],
  ゆった: ["く"],
  ゆって: ["く"],
  らせる: ["る", "る"],
  らない: ["る", "る"],
  られる: ["る", "る"],
  りそう: ["る"],
  りたい: ["る"],
  ります: ["る"],
  わせる: ["う"],
  わない: ["う"],
  われる: ["う"],
  んだら: ["ぬ", "ぶ", "む"],
  んだり: ["ぬ", "ぶ", "む"],
  乞うた: ["う"],
  乞うて: ["う"],
  問うた: ["う"],
  問うて: ["う"],
  往かず: ["く"],
  往こう: ["く"],
  往った: ["く"],
  往って: ["く"],
  征かず: ["く"],
  征こう: ["く"],
  征った: ["く"],
  征って: ["く"],
  恋うた: ["う"],
  恋うて: ["う"],
  来そう: ["来る"],
  来たい: ["来る"],
  来たら: ["来る"],
  来たり: ["来る"],
  来ない: ["来る"],
  来ます: ["来る"],
  来よう: ["来る"],
  来れる: ["来る"],
  行かず: ["く"],
  行こう: ["く"],
  行った: ["く"],
  行って: ["く"],
  訪うた: ["う"],
  訪うて: ["う"],
  請うた: ["う"],
  請うて: ["う"],
  逝かず: ["く"],
  逝こう: ["く"],
  逝った: ["く"],
  逝って: ["く"]
};

const map4 = {
  いかせる: ["く"],
  いかない: ["く"],
  いかれる: ["く"],
  いきそう: ["く"],
  いきたい: ["く"],
  いきます: ["く"],
  いじゃう: ["ぐ"],
  いすぎる: ["う"],
  いちゃう: ["く"],
  いったら: ["く"],
  いったり: ["く"],
  いなさい: ["う"],
  いました: ["う"],
  いません: ["う"],
  かったら: ["い"],
  かったり: ["い"],
  きすぎる: ["くる", "く"],
  きちゃう: ["くる"],
  きなさい: ["くる", "く"],
  きました: ["くる", "く"],
  きません: ["くる", "く"],
  ぎすぎる: ["ぐ"],
  ぎなさい: ["ぐ"],
  ぎました: ["ぐ"],
  ぎません: ["ぐ"],
  こさせる: ["くる"],
  こられる: ["くる"],
  しすぎる: ["する", "す"],
  しちゃう: ["する", "す"],
  しなさい: ["する", "す"],
  しました: ["する", "す"],
  しません: ["する", "す"],
  ちすぎる: ["つ"],
  ちなさい: ["つ"],
  ちました: ["つ"],
  ちません: ["つ"],
  っちゃう: ["う", "つ", "る"],
  にすぎる: ["ぬ"],
  になさい: ["ぬ"],
  にました: ["ぬ"],
  にません: ["ぬ"],
  びすぎる: ["ぶ"],
  びなさい: ["ぶ"],
  びました: ["ぶ"],
  びません: ["ぶ"],
  ましょう: ["る"],
  みすぎる: ["む"],
  みなさい: ["む"],
  みました: ["む"],
  みません: ["む"],
  ゆかせる: ["く"],
  ゆかない: ["く"],
  ゆかれる: ["く"],
  ゆきそう: ["く"],
  ゆきたい: ["く"],
  ゆきます: ["く"],
  ゆったら: ["く"],
  ゆったり: ["く"],
  りすぎる: ["る"],
  りなさい: ["る"],
  りました: ["る"],
  りません: ["る"],
  んじゃう: ["ぬ", "ぶ", "む"],
  往かせる: ["く"],
  往かない: ["く"],
  往かれる: ["く"],
  往きそう: ["く"],
  往きたい: ["く"],
  往きます: ["く"],
  往ったら: ["く"],
  往ったり: ["く"],
  征かせる: ["く"],
  征かない: ["く"],
  征かれる: ["く"],
  征きそう: ["く"],
  征きたい: ["く"],
  征きます: ["く"],
  征ったら: ["く"],
  征ったり: ["く"],
  来させる: ["来る"],
  来すぎる: ["来る"],
  来ちゃう: ["来る"],
  来なさい: ["来る"],
  来ました: ["来る"],
  来ません: ["来る"],
  来られる: ["来る"],
  行かせる: ["く"],
  行かない: ["く"],
  行かれる: ["く"],
  行きそう: ["く"],
  行きたい: ["く"],
  行きます: ["く"],
  行ったら: ["く"],
  行ったり: ["く"],
  逝かせる: ["く"],
  逝かない: ["く"],
  逝かれる: ["く"],
  逝きそう: ["く"],
  逝きたい: ["く"],
  逝きます: ["く"],
  逝ったら: ["く"],
  逝ったり: ["く"]
};

const map5 = {
  いきすぎる: ["く"],
  いきなさい: ["く"],
  いきました: ["く"],
  いきません: ["く"],
  いっちゃう: ["く"],
  いましょう: ["う"],
  きましょう: ["くる", "く"],
  ぎましょう: ["ぐ"],
  しましょう: ["する", "す"],
  ちましょう: ["つ"],
  にましょう: ["ぬ"],
  びましょう: ["ぶ"],
  みましょう: ["む"],
  ゆきすぎる: ["く"],
  ゆきなさい: ["く"],
  ゆきました: ["く"],
  ゆきません: ["く"],
  ゆっちゃう: ["く"],
  りましょう: ["る"],
  往きすぎる: ["く"],
  往きなさい: ["く"],
  往きました: ["く"],
  往きません: ["く"],
  往っちゃう: ["く"],
  征きすぎる: ["く"],
  征きなさい: ["く"],
  征きました: ["く"],
  征きません: ["く"],
  征っちゃう: ["く"],
  来ましょう: ["来る"],
  行きすぎる: ["く"],
  行きなさい: ["く"],
  行きました: ["く"],
  行きません: ["く"],
  行っちゃう: ["く"],
  逝きすぎる: ["く"],
  逝きなさい: ["く"],
  逝きました: ["く"],
  逝きません: ["く"],
  逝っちゃう: ["く"]
};

const map6 = {
  いきましょう: ["く"],
  くありません: ["い"],
  ませんでした: ["る"],
  ゆきましょう: ["く"],
  往きましょう: ["く"],
  征きましょう: ["く"],
  行きましょう: ["く"],
  逝きましょう: ["く"]
};

const map7 = {
  いませんでした: ["う"],
  きませんでした: ["くる", "く"],
  ぎませんでした: ["ぐ"],
  しませんでした: ["する", "す"],
  ちませんでした: ["つ"],
  にませんでした: ["ぬ"],
  びませんでした: ["ぶ"],
  みませんでした: ["む"],
  りませんでした: ["る"],
  来ませんでした: ["来る"]
};

const map8 = {
  いきませんでした: ["く"],
  ゆきませんでした: ["く"],
  往きませんでした: ["く"],
  征きませんでした: ["く"],
  行きませんでした: ["く"],
  逝きませんでした: ["く"]
};

const map9 = {
  くありませんでした: ["い"]
};
